 fs/coda/cnode.c  |    2 +-
 fs/coda/upcall.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/coda/cnode.c~KD40-coda-B5 fs/coda/cnode.c
--- 25/fs/coda/cnode.c~KD40-coda-B5	2003-09-21 22:35:23.000000000 -0700
+++ 25-akpm/fs/coda/cnode.c	2003-09-21 22:35:23.000000000 -0700
@@ -38,7 +38,7 @@ static void coda_fill_inode(struct inode
 		inode->i_data.a_ops = &coda_symlink_aops;
 		inode->i_mapping = &inode->i_data;
 	} else
-                init_special_inode(inode, inode->i_mode, attr->va_rdev);
+                init_special_inode(inode, inode->i_mode, old_decode_dev(attr->va_rdev));
 }
 
 static int coda_test_inode(struct inode *inode, void *data)
diff -puN fs/coda/upcall.c~KD40-coda-B5 fs/coda/upcall.c
--- 25/fs/coda/upcall.c~KD40-coda-B5	2003-09-21 22:35:23.000000000 -0700
+++ 25-akpm/fs/coda/upcall.c	2003-09-21 22:35:23.000000000 -0700
@@ -345,7 +345,7 @@ int venus_create(struct super_block *sb,
 
         inp->coda_create.VFid = *dirfid;
         inp->coda_create.attr.va_mode = mode;
-        inp->coda_create.attr.va_rdev = rdev;
+        inp->coda_create.attr.va_rdev = old_encode_dev(rdev);
 	inp->coda_create.excl = excl;
         inp->coda_create.mode = mode;
         inp->coda_create.name = offset;

_
